#ifndef UPDATENOTIFYWIDGET_H
#define UPDATENOTIFYWIDGET_H

#include "mainwindow.h"

#include <QDialog>
#include <QWidget>

#include <Core/FileData.h>

namespace Ui {
class UpdateNotifyWidget;
}

class MainWindow;
class UpdateController;
class InstructorButtonGroupWidget;

class UpdateNotifyWidget : public QWidget
{
    Q_OBJECT

public:
    explicit UpdateNotifyWidget(QWidget *parent = nullptr);
    void initialize(MainWindow *mainWindow);
    void addToList(FileData fileData);
    ~UpdateNotifyWidget();

    void showWithFill();
    void setButtonWidget(InstructorButtonGroupWidget *widget);
signals:


private slots:
    void on_closeButton_clicked();

    void on_loadToServerButton_clicked();

    void on_undoChangesButton_clicked();

    void on_startWithCurrentChangesButton_clicked();

private:
    Ui::UpdateNotifyWidget *ui;
    MainWindow *mainWindow;

    int currentLoadingCount;
};

#endif // UPDATENOTIFYWIDGET_H
